# FoundationClasses
TKernel
NCollection

# NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode Class Reference

`#include <NCollection_DoubleMap.hxx>`

Inheritance diagram for NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode:

[legend]

## Public Member Functions

| DoubleMapNode (const TheKey1Type &theKey1, const TheKey2Type &theKey2, NCollection_ListNode *theNext1, NCollection_ListNode *theNext2)
| Constructor with 'Next'.
const TheKey1Type & | Key1 (void)
| Key1.
const TheKey2Type & | Key2 (void)
| Key2.
DoubleMapNode *& | Next2 (void)
| Next2.

## Static Public Member Functions

static void | delNode (NCollection_ListNode *theNode, Handle(NCollection_BaseAllocator)&theAl)
| Static deleter to be passed to BaseList.

## Private Attributes

TheKey1Type | myKey1
DoubleMapNode * | myNext2

### template<class TheKey1Type, class TheKey2Type>
class NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode

## Constructor & Destructor Documentation

template<class TheKey1Type, class TheKey2Type>
NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::DoubleMapNode | ( | const TheKey1Type & | theKey1,
|  | const TheKey2Type & | theKey2,
|  | NCollection_ListNode * | theNext1,
|  | NCollection_ListNode * | theNext2
| ) | `[inline]`

## Member Function Documentation

template<class TheKey1Type, class TheKey2Type>
static void NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[inline, static]`

| Reimplemented from NCollection_TListNode< TheKey2Type >.

template<class TheKey1Type, class TheKey2Type>
const TheKey1Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::Key1 | ( | void |  | ) | `[inline]`

template<class TheKey1Type, class TheKey2Type>
const TheKey2Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::Key2 | ( | void |  | ) | `[inline]`

template<class TheKey1Type, class TheKey2Type>
DoubleMapNode*& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::Next2 | ( | void |  | ) | `[inline]`

## Field Documentation

template<class TheKey1Type, class TheKey2Type>
TheKey1Type NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::myKey1 `[private]`

template<class TheKey1Type, class TheKey2Type>
DoubleMapNode* NCollection_DoubleMap< TheKey1Type, TheKey2Type >::DoubleMapNode::myNext2 `[private]`

The documentation for this class was generated from the following file:

- NCollection_DoubleMap.hxx